Subject: bug#14738: 24.3.50; defcustom :type (repeat (cons symbol plist)) when nil is the default value.

From: Drew Adams <[email-masked]>
Date: Fri, 28 Jun 2013 13:33:55 -0700 (PDT)

> This is what I see with emacs -Q.
> 
> Should be a XFCE, Debian/Squeeze issue?
> 
> ,----
> | Hide Gnus Face Properties Alist:
> | INS DEL Image type: nil
> |             Plist:
> |             Key: nil        <=================== Missing INS DEL
> |             Value: nil
> | INS
> |     State : EDITED, shown value does not take effect until you set or save
> it.
> |    Alist of image types and properties applied to Face and X-Face images.
> Hide
> |    Here are examples:
> `----

This is what I see, with nil as the default value of the option:

,----
| Hide Gnus Face Properties Alist:
| INS
|     State : STANDARD.
|    Alist....
| Groups: Gnus Article Headers
`----

And this is what I see, with the default value you gave originally:

,----
| Hide Gnus Face Properties Alist:
| INS DEL Image type: pbm
|             Plist:
|                         INS DEL Key: :face
|                         Value: gnus-x-face
|             INS
| INS DEL Image type: png
|             Plist:
|                         INS
| INS
|     State : STANDARD.
|    Alist....
| Groups: Gnus Article Headers
`----

HTH.